MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028738Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-05-15 09:412017-09-29 16:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028738: Data Exchange, XCAFPrs_Style - add transparency property
DescriptionPatch for 0028641 introduces RGBA color within XCAFDoc_Color definition, however XCAFPrs_Style was not updated accordingly.
TagsNo tags attached.
Test case numberbugs xde bug28641
Attached Files

- Relationships
child of 0028641closedbugmaster Open CASCADE Data Exchange - Support alpha-channel of color 

-  Notes
(0066067)
git (administrator)
2017-05-15 12:02

Branch CR28738 has been created by kgv.

SHA-1: 5a77c8f1e0f95d88b71343331119df54f020a183


Detailed log of new commits:

Author: akz
Date: Thu May 11 13:52:18 2017 +0300

    0028738: Data Exchange, XCAFPrs_Style - add transparency property
    
    Use Quantity_ColorRGBA as surface color to store a transparency in XCAFPrs_Style.
(0066073)
git (administrator)
2017-05-15 13:15

Branch CR28738 has been updated forcibly by kgv.

SHA-1: d67a53f77a2f42d6fe28e16fead3573382d02c03
(0066092)
git (administrator)
2017-05-15 16:19

Branch CR28738 has been updated forcibly by kgv.

SHA-1: 5a0d6bd7eef054be976ed2e29a4a7d54ef8ceb06
(0066093)
kgv (developer)
2017-05-15 16:19

Please test the patch.
(0066144)
apv (tester)
2017-05-16 14:52

Dear BugMaster,

Branch CR28738 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 5a0d6bd7eef054be976ed2e29a4a7d54ef8ceb06

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1185

Regressions/Differences:
Not detected

Testing cases:
bugs xde bug28641 - OK
http://occt-tests/CR28738-master-OCCT/Debian70-64/bugs/xde/bug28641.html [^]
http://occt-tests/CR28738-master-OCCT/Windows-64-VC10/bugs/xde/bug28641.html [^]

Testing on Linux:
Total MEMORY difference: 92415059 / 91773565 [+0.70%]
Total CPU difference: 18736.99000000038 / 18651.980000000363 [+0.46%]

Testing on Windows:
Total MEMORY difference: 58426301 / 58426407 [-0.00%]
Total CPU difference: 17713.50794739865 / 17338.309942298663 [+2.16%]
(0066774)
git (administrator)
2017-05-29 16:06

Branch CR28738 has been deleted by kgv.

SHA-1: 5a0d6bd7eef054be976ed2e29a4a7d54ef8ceb06

- Related Changesets
occt: master a71a71de
Timestamp: 2017-05-11 10:52:18
Author: akz
Committer: bugmaster
Details ] Diff ]
0028738: Data Exchange, XCAFPrs_Style - add transparency property

Use Quantity_ColorRGBA as surface color to store a transparency in XCAFPrs_Style.
mod - src/Graphic3d/Graphic3d_AspectFillArea3d.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/Quantity/FILES Diff ] File ]
add - src/Quantity/Quantity_ColorRGBAHasher.hxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_AISObject.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_AISObject.hxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_Style.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_Style.hxx Diff ] File ]
mod - tests/bugs/xde/bug28641 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-15 09:41 kgv New Issue
2017-05-15 09:41 kgv Assigned To => gka
2017-05-15 09:41 kgv Relationship added child of 0028641
2017-05-15 09:41 kgv Relationship added has duplicate 0028723
2017-05-15 12:02 git Note Added: 0066067
2017-05-15 13:15 git Note Added: 0066073
2017-05-15 16:19 git Note Added: 0066092
2017-05-15 16:19 kgv Note Added: 0066093
2017-05-15 16:19 kgv Assigned To gka => bugmaster
2017-05-15 16:19 kgv Status new => resolved
2017-05-15 16:19 kgv Status resolved => reviewed
2017-05-15 16:51 apv Assigned To bugmaster => apv
2017-05-16 14:50 apv Test case number => bugs xde bug28641
2017-05-16 14:52 apv Note Added: 0066144
2017-05-16 14:52 apv Assigned To apv => bugmaster
2017-05-16 14:52 apv Status reviewed => tested
2017-05-19 13:25 bugmaster Changeset attached => occt master a71a71de
2017-05-19 13:25 bugmaster Status tested => verified
2017-05-19 13:25 bugmaster Resolution open => fixed
2017-05-29 16:06 git Note Added: 0066774
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker